com.corticon.rulesemf.viewtestmodel.ruletest.tabfolder

## Interface TabfolderFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TabfolderFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `TabfolderPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `static TabfolderFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestTab` | `createTestTab()` Returns a new object of class 'Test Tab'
    `TestTabFolder` | `createTestTabFolder()` Returns a new object of class 'Test Tab Folder'
    `TabfolderPackage` | `getTabfolderPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final TabfolderFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createTestTabFolder

          TestTabFolder createTestTabFolder()

      Returns a new object of class 'Test Tab Folder'.
      Returns:
        a new object of class 'Test Tab Folder'.

    - #### createTestTab

          TestTab createTestTab()

      Returns a new object of class 'Test Tab'.
      Returns:
        a new object of class 'Test Tab'.

    - #### getTabfolderPackage

          TabfolderPackage getTabfolderPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.